with GNATCOM.Dispinterface;

package MSHTML.IHTMLOptionsHolder_Object is

   type IHTMLOptionsHolder_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function Get_document
     (This : IHTMLOptionsHolder_Type)
     return GNATCOM.Types.VARIANT;

   function Get_fonts
     (This : IHTMLOptionsHolder_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_execArg
     (This : IHTMLOptionsHolder_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_execArg
     (This : IHTMLOptionsHolder_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_errorLine
     (This : IHTMLOptionsHolder_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_errorLine
     (This : IHTMLOptionsHolder_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_errorCharacter
     (This : IHTMLOptionsHolder_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_errorCharacter
     (This : IHTMLOptionsHolder_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_errorCode
     (This : IHTMLOptionsHolder_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_errorCode
     (This : IHTMLOptionsHolder_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_errorMessage
     (This : IHTMLOptionsHolder_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_errorMessage
     (This : IHTMLOptionsHolder_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_errorDebug
     (This : IHTMLOptionsHolder_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_errorDebug
     (This : IHTMLOptionsHolder_Type)
     return GNATCOM.Types.VARIANT;

   function Get_unsecuredWindowOfDocument
     (This : IHTMLOptionsHolder_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_findText
     (This : IHTMLOptionsHolder_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_findText
     (This : IHTMLOptionsHolder_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_anythingAfterFrameset
     (This : IHTMLOptionsHolder_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_anythingAfterFrameset
     (This : IHTMLOptionsHolder_Type)
     return GNATCOM.Types.VARIANT;

   function sizes
     (This     : IHTMLOptionsHolder_Type;
      fontName : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function openfiledlg
     (This     : IHTMLOptionsHolder_Type;
      initFile : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      initDir  : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      filter   : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      title    : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function savefiledlg
     (This     : IHTMLOptionsHolder_Type;
      initFile : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      initDir  : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      filter   : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      title    : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function choosecolordlg
     (This      : IHTMLOptionsHolder_Type;
      initColor : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free      : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure showSecurityInfo
     (This : IHTMLOptionsHolder_Type);

   function isApartmentModel
     (This   : IHTMLOptionsHolder_Type;
      object : GNATCOM.Types.VARIANT;
      Free   : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function getCharset
     (This     : IHTMLOptionsHolder_Type;
      fontName : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function Get_secureConnectionInfo
     (This : IHTMLOptionsHolder_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLOptionsHolder_Object;

